<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");
$valorDeful=$objetocalculo->capturaDeful($idLabo,'livro_protocolo');
 
switch ($tela):
    case 'definir':
        echo ("<h2>RELATÓRIOS DIVERSOS: $finalidade </h4>");	
	   if(post('manual') !== ""):
	       echo '<iframe src="manual2010.php?opcaoManual=livro" style="border:0" width="100%" height="350"></iframe>';//funciona
 	   endif;	
       /////vai criar um registro na tabela deful para cada laboratorio/material se nao encontrou /////////////
	   ////////////////////////final da criação do registro////////////////////////////////

	   
       ///////aqui vai imprimir o livro
      if(post('bt_listaTodosRequerentes') !== ""):
	     $sessao->setVar('controle','listaGeral');
		 echo '<iframe src="imprimelistaTodosRequerentes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('bt_listaRequerentesSemRenasem') !== ""):
	     $sessao->setVar('controle','listaSemRenasem');
		 echo '<iframe src="imprimelistaTodosRequerentes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
      if(post('bt_listaRequerentesComRenasem') !== ""):
	     $sessao->setVar('controle','listaComRenasem');
		 echo '<iframe src="imprimelistaTodosRequerentes.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
      endif;
	  


	  //aqui vai exportar para excel e xml........................
	  	if(post('arquivoXML') !== "" || post('arquivoExcel') !== "" ):
		 echo("contador = $contador <br>");
		 
	     if(post('arquivoXML') !== ""):
	         echo '<iframe src="criarxml2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 else:

	        //echo '<iframe src="criarexcel2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
			echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="100%" height="350"></iframe>';//funciona			

		 endif;
		 //<!--aqui inseri isso dia 21/04/15-->
		  ?>
		  <html>
		  <body>
		    <table>
			<tr>
		    <td>
			Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivosxml/oto4.xml" target="_blank">[Baixar Arquivo xml]</a>
			</td>
			
			</tr>
			</table>
		    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
		  </body>
		   </html>
		 <?php
	
	  
	if(post('arquivoCSV') !== ""):
		 echo("contador = $contador <br>");
		 
	     if(post('arquivoXML') !== ""):
	         echo '<iframe src="criarcsv2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 else:
		     if($contador>20):
			     printMSG('A planilha csv nao pode ter mais de 20 registros. Preencha os campos INICIO E FIM  para delimitar os dados que precisa.','alerta');
			 else:	 
	             echo '<iframe src="criarcsv2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		     endif;		 
		 endif;
		 //<!--aqui inseri isso dia 21/04/15-->
		  ?>
		  <html>
		  <body>
		    <table>
			<tr>
		    <td>
			Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivoscsv/oto4.csv" target="_blank">[Baixar Arquivo csv]</a>
			</td>
			
			</tr>
			</table>
		    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
		  </body>
		   </html>
		 <?php
    endif;		  
	  
	  
	  
endif;//teste vaiImprimir=SIM


        ?>
		
		
		
		
		<form class="userform" method="post" action="">
        <fieldset>
        <legend>Livro de protocolo. Informe amostra inicial e final</legend>
		<table border="1" width="700" >
        <tbody>
		<tr>
        <td>Inicio</td>
		<td>Final</td>
		</tr>
        </tbody>
		<tr>
	        <td><input type="text"  name="inicio" size="5" maxlength="5"  value="<?php echo $inicio;?>" </td>		
			<td><input type="text"  name="final" size="5" maxlength="5"  value="<?php echo $final;?>" </td>
		<td>Se quiser trocar o ano, clique MANUTENÇÃO -->CONFIGURAÇÕES</td>
		</td>		
        </tr>
        </table>
        <hr>
		<!--aqui coloco um botao para cda modelo-->
		<table>
      
        <tr>
		<td>
		<input type="submit" name="bt_listaTodosRequerentes" value="Lista todos requerentes" />
		<input type="submit" name="bt_listaRequerentesSemRenasem" value="Lista requerentes sem RENASEM" />
		<input type="submit" name="bt_listaRequerentesComRenasem" value="Requerentes com RENASEM" />
		</td>
		</tr>
	
        <tr>
		<td>
		<input type="submit" name="arquivoExcel" value="Exportar para Excell" />
		<input type="submit" name="arquivoXML" value="Exportar para XML" />
		<input type="submit" name="arquivoCSV" value="Exportar para CSV" />
		<input type="submit" name="arquivoTXT" value="Exportar para TXT" />
		</td>
		</tr>

  



		
        <tr>
		<td>
		<input type="checkbox"  name="branco" />Em branco
		<input type="submit" name="manual" value="Ajuda" />
		</td>
		</tr>
        </table> 

         
        </fieldset>
        <td><input type="hidden" name="id" size="1"  value="<?php echo $id;?>" </td>		

        </form>
		Nesta tela pode imprimir  e também pode exportar para excel.<br>
		Instrução:Primeiro visualize os dados,clicando no botão apropriado, depois em seguida, clique em exportar para Excel ou outro.<br>
		
	<?php
    break;



	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>